Get Contact Email Activity

GET
https://reloop.sh/api/logs/v1/emails/contact-activity

Query Parameters

emailstringRequired

Recipient email address

pagestringnumberdefault: 1
  • Minimum value: 1
limitstringnumberdefault: 10
  • Minimum value: 1
  • Maximum value: 50
const response = await fetch("https://reloop.sh/api/logs/v1/emails/contact-activity?email=value&page=value&limit=value", {
  method: "GET",
  headers: {
    "Authorization": "Bearer re_123456789",
  },
});

const data = await response.json();
{
  "object": "contact_activity",
  "email": "john.doe@example.com",
  "data": [
    {
      "id": "con_123456789",
      "subject": "Welcome to Reloop",
      "fromEmail": "example_fromEmail",
      "toEmails": [
        "example_toEmails"
      ],
      "status": "example_status",
      "sentAt": "2026-03-23T10:00:00.000Z",
      "deliveredAt": "2026-03-23T10:00:00.000Z",
      "failedAt": "2026-03-23T10:00:00.000Z",
      "errorMessage": "example_errorMessage",
      "createdAt": "2026-03-23T10:00:00.000Z",
      "events": [
        {
          "id": "con_123456789",
          "type": "example_type",
          "metadata": null,
          "createdAt": "2026-03-23T10:00:00.000Z"
        }
      ]
    }
  ],
  "total": 1,
  "page": 0,
  "limit": 0
}

Was this page helpful?

Edit this page